/**
 * Clock Plugin: Shows realtime clock
 * 
 * @file       clock/script.js
 * @brief      Show a clock in wikipage
 * @license    GPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author     Luis Machuca B. <luis.machuca@gulix.cl>
 * @version    1.0
 * 
 *  -----
 *  No longer in 'experimental'!
 *  -----
 *
 *  This file contains the timer script for the clock plugin.
 */

var jsclock_id= "clock_face";

function jsclock_rerun () {

  // get the current time

  var CurTime=new Date();
  var hh= CurTime.getHours();
  var mm= CurTime.getMinutes();
  var ss= CurTime.getSeconds();

  // format it as ISO 8601 text

  if (hh<=9 && hh>=0)
    hh= "0" + hh;
  if (mm<=9 && mm>=0)
    mm= "0" + mm;
  if (ss<=9 && ss>=0)
    ss= "0" + ss;

  timetext= " " + hh + ":" + mm + ":" + ss + " ";

  // assign the text to the element
  // whose id is that of the 'jsclock_id' variable

  var theElement= document.getElementById (jsclock_id);

  theElement.firstChild.nodeValue= timetext;

  // do the timeout
  setTimeout(jsclock_rerun, 1000);
}

function jsclock_init() {
  // set up a timer
  setTimeout(jsclock_rerun, 1000);
}

addInitEvent(jsclock_init);
